package com.hywa.banktest.entity;

import java.math.BigDecimal;
import java.util.Date;

public class TreeOrder {
    /** 主键*/
    private String id;

    /** 订单名称*/
    private String code;

    /** 证书编号*/
    private String certificateNo;

    /** 获取证日期*/
    private Date gainTime;

    /** 证书反面*/
    private String certificateimageb;

    /** 证书正面*/
    private String certificateimagea;

    /** 对应的购买者id*/
    private String customerId;

    /** 总价格*/
    private BigDecimal totalPrice;

    /** 创建人*/
    private String createId;

    /** 创建时间*/
    private Date createDate;

    /** 修改人*/
    private String updateId;

    /** 修改时间*/
    private Date updateDate;

    /** 状态：3、农户已经收到钱；2、待支付；1、已支付；0、未购；4、审核拒绝*/
    private Integer enable;

    /** 是否删除  0:未删除   1：已删除*/
    private Integer isDel;

    /** 微信支付订单号*/
    private String transId;

    /** 支付完成时间*/
    private Date paymentDate;

    /** 一起购id*/
    private String togetherId;

    /** 订单类型  0：个人  1：对公打款订单（未审核）  2：对公打款订单（待付款）  3：对公打款订单（确认打款）*/
    private String orderType;

    /** 总数量*/
    private Long treeNum;

    /** */
    private String describe;

    /** */
    private String companyId;

    /** 支付方式 offlinePay对公打款支付   wxPay微信支付*/
    private String payMode;

    /** 0： 微信购买 1： 个人实名  2 ： 单位实名 */
    private Integer isReal;

    /** 审核备注信息*/
    private String cerRemark;

    /** 用户备注*/
    private String customerRemark;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getCertificateNo() {
        return certificateNo;
    }

    public void setCertificateNo(String certificateNo) {
        this.certificateNo = certificateNo == null ? null : certificateNo.trim();
    }

    public Date getGainTime() {
        return gainTime;
    }

    public void setGainTime(Date gainTime) {
        this.gainTime = gainTime;
    }

    public String getCertificateimageb() {
        return certificateimageb;
    }

    public void setCertificateimageb(String certificateimageb) {
        this.certificateimageb = certificateimageb == null ? null : certificateimageb.trim();
    }

    public String getCertificateimagea() {
        return certificateimagea;
    }

    public void setCertificateimagea(String certificateimagea) {
        this.certificateimagea = certificateimagea == null ? null : certificateimagea.trim();
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId == null ? null : customerId.trim();
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId == null ? null : createId.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getUpdateId() {
        return updateId;
    }

    public void setUpdateId(String updateId) {
        this.updateId = updateId == null ? null : updateId.trim();
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    public String getTransId() {
        return transId;
    }

    public void setTransId(String transId) {
        this.transId = transId == null ? null : transId.trim();
    }

    public Date getPaymentDate() {
        return paymentDate;
    }

    public void setPaymentDate(Date paymentDate) {
        this.paymentDate = paymentDate;
    }

    public String getTogetherId() {
        return togetherId;
    }

    public void setTogetherId(String togetherId) {
        this.togetherId = togetherId == null ? null : togetherId.trim();
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType == null ? null : orderType.trim();
    }

    public Long getTreeNum() {
        return treeNum;
    }

    public void setTreeNum(Long treeNum) {
        this.treeNum = treeNum;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe == null ? null : describe.trim();
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId == null ? null : companyId.trim();
    }

    public String getPayMode() {
        return payMode;
    }

    public void setPayMode(String payMode) {
        this.payMode = payMode == null ? null : payMode.trim();
    }

    public Integer getIsReal() {
        return isReal;
    }

    public void setIsReal(Integer isReal) {
        this.isReal = isReal;
    }

    public String getCerRemark() {
        return cerRemark;
    }

    public void setCerRemark(String cerRemark) {
        this.cerRemark = cerRemark == null ? null : cerRemark.trim();
    }

    public String getCustomerRemark() {
        return customerRemark;
    }

    public void setCustomerRemark(String customerRemark) {
        this.customerRemark = customerRemark == null ? null : customerRemark.trim();
    }
}