package com.hywa.banktest;

import com.alibaba.fastjson.JSONObject;
import com.hywa.banktest.common.AjaxJson;
import com.hywa.banktest.entity.GetBankNo;
import com.hywa.banktest.service.CarbonBankService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class BanktestApplicationTests {

	@Autowired
	private CarbonBankService carbonBankService;
	@Test
	public void contextLoads() {

		GetBankNo getBankNo = new GetBankNo();
		getBankNo.setCompanyType("1");
		AjaxJson cardNumMoney = carbonBankService.findCardNumMoney(getBankNo);
		System.out.println(JSONObject.toJSONString(cardNumMoney));
	}

}
