package com.hywa.banktest.bankframework.utils;

import java.math.BigInteger;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;
import java.util.UUID;


/** 
* 产生一个32位的GUID  工具类
* @return 
*/ 
public class UUIDUtils {

/** 
* 产生一个32位的GUID 
* @return 
*/ 
public static String newGUID() 
{ 
UUID uuid = UUID.randomUUID(); 
return uuid.toString().replace("-", ""); 
} 


/** 
   * 获取32位GUID 
   * 
   * @return 
   */ 
  public static String getId() { 
      try { 
          MessageDigest md = MessageDigest.getInstance("MD5"); 
          UUID uuid = UUID.randomUUID(); 
          String guidStr = uuid.toString(); 
          md.update(guidStr.getBytes(), 0, guidStr.length()); 
          return new BigInteger(1, md.digest()).toString(16); 
      } catch (NoSuchAlgorithmException e) { 
          return null; 
      } 
  }
  /**
   * 生成订单信息16位订单
   * @return
   */
  public synchronized static String randomOrder(){
		String code="";
		Random rand=new Random();//生成随机数
		  for(int a=0;a<4;a++){
		        code+=rand.nextInt(10);//生成4位验证码
		  }
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
		String orderNo = sdf.format(new Date()).substring(2)+code;
		return orderNo;
	}
  
  /**
   * 获取随机码
   * @return
   */
  public static String randomOrderLeng(Integer leng){
	  String code="";
	  Random rand=new Random();//生成随机数
	  for(int a=0;a<leng;a++){
		  code+=rand.nextInt(10);//生成6位验证码
	  }
	  SimpleDateFormat sdf = new SimpleDateFormat("SSS");
	  String orderNo = "G"+sdf.format(new Date())+code;
	  return orderNo;
  }
  /**
   * 获取随机码
   * @return
   */
  public static String randomCertLeng(Integer leng){
	  String code = "";
		Random rand=new Random();//生成随机数
		  for(int a=0;a<leng;a++){
			  code+=rand.nextInt(10);//生成6位验证码
		  }
		  return code;
  }
  public static String setCodeString(Integer lengs,String leng) {
		String s = "";
		for(int i = 1 ;i < leng.length();i++){
			s+="0";
		}
		Integer n = lengs - leng.length();
		String code = UUIDUtils.randomCertLeng(n)+s;
		return code;
	}
}
